Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Srinivas KANDAGATLA <[email-masked]>
Date: Wed, 11 Apr 2012 08:32:12 +0100

I see no reason why __kfifo_max_r should not be exported to modules.
All the __kfifo_* functions in kfifo.h are already exported except this one.
Am happy to generate a patch.

On 11/04/12 03:10, Stephen Rothwell wrote:
> Hi Mauro,
>
> After merging the v4l-dvb tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> ERROR: "__kfifo_max_r" [drivers/media/rc/rc-core.ko] undefined!
>
> Caused by commit 24a19bcbceda ("[media] ir-raw: Check available elements
> in kfifo before adding").  kfifo_avail expands to a call to __kfifo_max_r
> which is not exported to modules.
>
> I have used the v4l-dvb tree from next-20120410 for today.